<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>Numeric - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="Controller.html">Controller</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Controller.html#iterate">iterate</a></li></ul></li><li><a href="Criterion.html">Criterion</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Criterion.html#cost">cost</a></li></ul></li><li><a href="Driver.html">Driver</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Driver.html#get">get</a></li><li data-type='method' style='display: none;'><a href="Driver.html#set">set</a></li></ul></li><li><a href="Numeric.html">Numeric</a><ul class='members'><li data-type='member' style='display: none;'><a href="Numeric.html#count">count</a></li></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Numeric.html#asString">asString</a></li></ul></li><li><a href="Optimizer.html">Optimizer</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="Optimizer.html#minimize">minimize</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">Numeric</h1>
    

    




<section>

<header>
    
        <h2>
        
            Numeric
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="Numeric"><span class="type-signature"></span>new Numeric<span class="signature">(name<span class="signature-attributes">opt</span>, precision<span class="signature-attributes">opt</span>, min<span class="signature-attributes">opt</span>, max<span class="signature-attributes">opt</span>, zero<span class="signature-attributes">opt</span>, step<span class="signature-attributes">opt</span>, unit<span class="signature-attributes">opt</span>)</span><span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Specifies a bounded finite precision numerical value.</p>
<ul>
<li>The numeric parameter values can also be given as a JSON structure, or a String.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>name</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The numerical value name.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>precision</code></td>
            

            <td class="type">
            
                
<span class="param-type">double</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>NAN</code>
                
                </td>
            

            <td class="description last"><p>The positive numerical precision.</p>
<ul>
<li>This is the value under which two values are indistinguishable.</li>
<li>The default means <code>NAN</code> that the value is a constant, not to be adjusted.</li>
</ul></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>min</code></td>
            

            <td class="type">
            
                
<span class="param-type">double</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>-DBL_MAX</code>
                
                </td>
            

            <td class="description last"><p>The numerical minimal value.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>max</code></td>
            

            <td class="type">
            
                
<span class="param-type">double</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>DBL_MAX</code>
                
                </td>
            

            <td class="description last"><p>The numerical maximal value.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>zero</code></td>
            

            <td class="type">
            
                
<span class="param-type">double</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>NAN</code>
                
                </td>
            

            <td class="description last"><p>The numerical default and initial value.</p>
<ul>
<li>The default is <code>(max + min)/2</code>.</li>
</ul></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>step</code></td>
            

            <td class="type">
            
                
<span class="param-type">double</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>NAN</code>
                
                </td>
            

            <td class="description last"><p>The positive sampling step, in order to sample the [min, max] interval.</p>
<ul>
<li>The default corresponds to a value that is not be sampled, often corresponding to a convex neighborhood.</li>
</ul></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>unit</code></td>
            

            <td class="type">
            
                
<span class="param-type">string</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>""</code>
                
                </td>
            

            <td class="description last"><p>The numerical unit.</p></td>
        </tr>

    
    </tbody>
</table>



















        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Members</h3>

        
            













        
            
<h4 class="name" id="count"><span class="type-signature"></span>count<span class="type-signature"> :uint</span></h4>





<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>The number of defined values between min and max, given the step.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>





<div class="description usertext">
    <p>The number of defined values between min and max, given the step.</p>
</div>



    <h5 class="h5-types">Type:</h5>
    <ul>
        <li>
            
<span class="param-type">uint</span>



        </li>
    </ul>






        
    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id="asString"><span class="type-signature"></span>asString<span class="signature">()</span><span class="type-signature"> &rarr; {string}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the numeric parameters as a wJSON string.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>



























<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The string view of the parameters.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">string</span>



    </dd>
</dl>

    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>